Bug 254088 - Review Request: b43-fwcutter - firmware cutter which outputs new format used by b43 drivers
Review Request: b43-fwcutter - firmware cutter which outputs new format used ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 22:04 EDT by John W. Linville
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 008-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 18:08:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adel.gadllah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John W. Linville 2007-08-23 22:04:54 EDT
Spec URL: http://linville.fedorapeople.org/b43-fwcutter.spec
SRPM URL: http://linville.fedorapeople.org/b43-fwcutter-008-1.fc7.src.rpm
Description: 

This package contains the 'b43-fwcutter' tool which is used to
extract firmware for the Broadcom network devices.

See the README.Fedora file shipped in the package's documentation for
instructions on using this tool.
Comment 1 John W. Linville 2007-08-23 22:08:48 EDT
The spec is basically a cut & paste of the bcm43xx-fwcutter package.

A new package is needed due to the different output format.  With both the 
existing bcm43xx-fwcutter and the new b43-fwcutter packages, one can still 
produce firmware for either the new b43/b43legacy drivers or the old 
bcm43xx/bcm43xx-mac80211 drivers.
Comment 2 Adel Gadllah 2007-08-25 15:33:23 EDT
Package Review:
===============
* md5sum matches upstream: 3f7fbf4f8dcd296c6d1b0d42eab0f9ac -> OK
---------------
* rpmlint output: none -> OK
---------------
* Package is named correctly -> OK
---------------
* uses macros consistently -> OK
---------------
* uses disttag -> OK
---------------
* License field is correct -> OK
---------------
* License is ok to ship and file is included -> OK
---------------
* BuildRequires are correct -> OK
---------------
* Ownership is set correctly -> OK
---------------
* scriplets are ok -> N/A
---------------
* buildroot is correct -> OK
---------------
* clean is present -> OK
---------------
* use $RPM_OPT_FLAGS -> ok
---------------
* desktop file installed correctly -> N/A
---------------
* file permissions are appropriate -> OK
---------------
* %docs are not needed for the package to work -> OK
---------------
* no devel package -> OK
---------------
* builds in mock -> OK
---------------
* no rpaths -> OK
===============
=> APPROVED
===============

---------------
NOTES:
Please add:
Obsoletes: bcm43xx-fwcutter 
Comment 3 Ville Skyttä 2007-08-26 17:14:48 EDT
(In reply to comment #2)
> NOTES:
> Please add:
> Obsoletes: bcm43xx-fwcutter 

Based on comment 1, sounds like bcm43xx-fwcutter serves a different purpose and
will stay -> the Obsoletes would be incorrect.
Comment 4 John W. Linville 2007-08-27 15:42:56 EDT
New Package CVS Request
=======================
Package Name: b43-fwcutter
Short Description: Firmware extraction tool for Broadcom wireless drivers
Owners: linville
Branches: F-7
InitialCC: /dev/null
Cvsextras Commits: no
Comment 5 Kevin Fenzi 2007-08-28 00:27:53 EDT
cvs done.
Comment 6 Fedora Update System 2007-08-29 13:26:20 EDT
b43-fwcutter-008-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-09-04 18:08:46 EDT
b43-fwcutter-008-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.